<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml"/>
	<xsl:param name="param"/>
	<xsl:variable name="imgbase">/cron/pub/</xsl:variable>
	<xsl:variable name="imgbase2">/tools/introspect/pub/</xsl:variable>
	<xsl:variable name="sort"><xsl:value-of select="$param/param/sortby"/></xsl:variable>

    <xsl:template match="/jobs">
        <div xmlns:xrl="http://1060.org/xrl">
     
    <link type="text/css" href="/nkse/style/css/jquery-ui-latest.css?v=6.1.1" rel="stylesheet" />
	<link type="text/css" href="/nkse/style/css/jquery-datatables-latest.css?v=6.1.1" rel="stylesheet" />
	<link type="text/css" rel="stylesheet" href="/tools/ae/pub/explore.css?v=6.1.1"/>
	
    <script type="text/javascript" src="/nkse/style/js/jquery-datatables-latest.js?v=6.1.1">_</script>
    <script type="text/javascript" src="/nkse/style/js/jquery-ui-latest.js?v=6.1.1">_</script>
    <script type="text/javascript" src="/tools/ae/pub/main.js?v=6.1.1">_</script>
    
			
			<script language="javascript"><xsl:comment>
				function doSubmit(name,action)
				{	document.main.name.value=name;
					document.main.action2.value=action;
					document.main.submit();
				}
				$(document).ready(function()
				{	
					initDataTable("tt2" ,
					{	"aaSorting": [],
						"bLengthChange": false,
						"bFilter": true,
						"bSort": true
					}  );
				});
			</xsl:comment></script>
					
			<form method="POST" name="main">
			<input type="hidden" name="sortby" value="{$sort}"/>
			<input type="hidden" name="name" value=""/>
			<input type="hidden" name="action2" value=""/>
			
			<table width="100%" id="tt2" >
				<thead>
				<tr>
					<th>Name</th>
					<th>Module</th>
					<th>Trigger</th>
					<th>Next Scheduled</th>
					<th/>
				</tr>
				</thead>
				<tbody>
						<xsl:apply-templates select="job"/>
				</tbody>
			</table>


			</form>
			
			<div style="margin-top: 1em;">
				<input type="button" value="refresh" onclick="javascript:document.main.submit()" class="btn btn-default"/>
				<xsl:text> </xsl:text>
				<input type="button" value="view log" onclick="javascript:parent.location='/tools/log-view?log=org.netkernel.mod.cron'" class="btn btn-default"/>
				<xsl:text> </xsl:text>
				<input type="button" value="configure log" onclick="javascript:parent.location='/tools/log-levels'" class="btn btn-default"/>
			</div>
			

		</div>
    </xsl:template>

	<xsl:template match="job">
		<tr>
			<td>
				<div style="font-weight: bold;"><xsl:value-of select="name"/></div>
				<div style="font-size: 80%;"><xsl:value-of select="desc"/></div>
			</td>
			<td>
				<div>
					<a href="/tools/ae/spaceversionredirector?space={space}&amp;version={version}">
						<span class="fnk fnk-cube"> </span><xsl:value-of select="space"/>
					</a>
				</div>
			</td>
			
			<td ><xsl:value-of select="trigger"/></td>
			<td>
				<div><xsl:value-of select="next"/></div>
				<div><xsl:choose>
					<xsl:when test="issueMisfiresOnRestart='true'">(will issue on restart if missed)</xsl:when>
					<xsl:otherwise>(misfires ignored)</xsl:otherwise>
				</xsl:choose>
				</div>
			</td>
			<td>
				<div style="white-space:nowrap;">
				<xsl:choose>
					<xsl:when test="paused">
						<a title="resume">
							<xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','resume')</xsl:attribute>
							<span class="fa-stack fa-lg">
								<span class="fa fa-square fa-stack-2x"> </span>
								<span class="fa fa-play fa-stack-1x fa-inverse"> </span>
							</span>				
						</a>
						
					</xsl:when>
					<xsl:otherwise>
						<a title="pause">
							<xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','pause')</xsl:attribute>
							<span class="fa-stack fa-lg">
								<span class="fa fa-square fa-stack-2x"> </span>
								<span class="fa fa-pause fa-stack-1x fa-inverse"> </span>
							</span>				
						</a>
						
					</xsl:otherwise>
				</xsl:choose>
				
				<a title="delete">
					<xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','delete')</xsl:attribute>
					<span class="fa-stack fa-lg text-danger">
						<span class="fa fa-square fa-stack-2x"> </span>
						<span class="fa fa-trash fa-stack-1x fa-inverse"> </span>
					</span>				
				</a>
				<a title="execute now">
					<xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','run')</xsl:attribute>
					<span class="fa-stack fa-lg">
						<span class="fa fa-square fa-stack-2x"> </span>
						<span class="fa fa-flash fa-stack-1x fa-inverse"> </span>
					</span>				
				</a>
				
				</div>
			</td>
			
		</tr>
	</xsl:template>
	
</xsl:stylesheet>
