package org.netkernel.mod.cron.services;

import org.netkernel.layer0.nkf.INKFLocale;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer1.representation.IDeterminateStringRepresentation;
import org.netkernel.mod.cron.transport.CronTransport;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.quartz.Scheduler;

public class CronDeleteAccessor extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		String job=aContext.source("arg:job",IDeterminateStringRepresentation.class).getString();
		Scheduler s = CronTransport.getSingleton().getScheduler();
		boolean deleted = s.deleteJob(job,Scheduler.DEFAULT_GROUP);
		
	    if (deleted)
	    {	aContext.logFormatted(INKFLocale.LEVEL_INFO, "MSG_API_DELETE",job);
	    }
	    else
	    {   aContext.logFormatted(INKFLocale.LEVEL_WARNING, "MSG_API_DELETE_FAIL",job);
	    }
	    aContext.createResponseFrom(deleted).setExpiry(INKFResponse.EXPIRY_ALWAYS);
	}
}
