package org.netkernel.mod.cron.transport;

import org.apache.commons.logging.Log;
import org.netkernel.layer0.nkf.INKFLocale;
import org.netkernel.util.Utils;

public class LogBridge implements Log 
{
	private static INKFLocale sLocale;
	
	public LogBridge(String aName)
	{
	}
	
	public static void init(INKFLocale aLocale)
	{	sLocale=aLocale;
	}
	
	public INKFLocale getLocale()
	{	return sLocale;
	}

	public void debug(Object arg0)
	{	getLocale().logRaw(INKFLocale.LEVEL_DEBUG, arg0.toString());
	}

	public void debug(Object arg0, Throwable arg1)
	{	getLocale().logRaw(INKFLocale.LEVEL_DEBUG, arg0.toString()+" "+Utils.throwableToString(arg1));
	}

	public void error(Object arg0)
	{	getLocale().logRaw(INKFLocale.LEVEL_WARNING, arg0.toString());
	}

	public void error(Object arg0, Throwable arg1)
	{	getLocale().logRaw(INKFLocale.LEVEL_WARNING, arg0.toString()+" "+Utils.throwableToString(arg1));
	}

	public void fatal(Object arg0)
	{	getLocale().logRaw(INKFLocale.LEVEL_SEVERE, arg0.toString());
	}

	public void fatal(Object arg0, Throwable arg1)
	{	getLocale().logRaw(INKFLocale.LEVEL_SEVERE, arg0.toString()+" "+Utils.throwableToString(arg1));
	}

	public void info(Object arg0)
	{	getLocale().logRaw(INKFLocale.LEVEL_INFO, arg0.toString());
	}

	public void info(Object arg0, Throwable arg1)
	{	getLocale().logRaw(INKFLocale.LEVEL_INFO, arg0.toString()+" "+Utils.throwableToString(arg1));
	}

	public boolean isDebugEnabled()
	{	return getLocale().shouldLog(INKFLocale.LEVEL_DEBUG);
	}

	public boolean isErrorEnabled()
	{	return getLocale().shouldLog(INKFLocale.LEVEL_WARNING);
	}

	public boolean isFatalEnabled()
	{	return getLocale().shouldLog(INKFLocale.LEVEL_SEVERE);
	}

	public boolean isInfoEnabled()
	{	return getLocale().shouldLog(INKFLocale.LEVEL_INFO);
	}

	public boolean isTraceEnabled()
	{	return getLocale().shouldLog(INKFLocale.LEVEL_FINE);
	}

	public boolean isWarnEnabled()
	{	return getLocale().shouldLog(INKFLocale.LEVEL_WARNING);
	}

	public void trace(Object arg0)
	{	getLocale().logRaw(INKFLocale.LEVEL_FINE, arg0.toString());
	}

	public void trace(Object arg0, Throwable arg1)
	{	getLocale().logRaw(INKFLocale.LEVEL_FINE, arg0.toString()+" "+Utils.throwableToString(arg1));
	}

	public void warn(Object arg0)
	{	getLocale().logRaw(INKFLocale.LEVEL_WARNING, arg0.toString());
	}

	public void warn(Object arg0, Throwable arg1)
	{	getLocale().logRaw(INKFLocale.LEVEL_WARNING, arg0.toString()+" "+Utils.throwableToString(arg1));
	}
}
