/******************************************************************************
 * (c) Copyright 2002,2005, 1060 Research Ltd
 *
 * This Software is licensed to You, the licensee, for use under the terms of
 * the 1060 Public License v1.0. Please read and agree to the 1060 Public
 * License v1.0 [www.1060research.com/license] before using or redistributing
 * this software.
 *
 * In summary the 1060 Public license has the following conditions.
 * A. You may use the Software free of charge provided you agree to the terms
 * laid out in the 1060 Public License v1.0
 * B. You are only permitted to use the Software with components or applications
 * that provide you with OSI Certified Open Source Code [www.opensource.org], or
 * for which licensing has been approved by 1060 Research Limited.
 * You may write your own software for execution by this Software provided any
 * distribution of your software with this Software complies with terms set out
 * in section 2 of the 1060 Public License v1.0
 * C. You may redistribute the Software provided you comply with the terms of
 * the 1060 Public License v1.0 and that no warranty is implied or given.
 * D. If you find you are unable to comply with this license you may seek to
 * obtain an alternative license from 1060 Research Limited by contacting
 * license@1060research.com or by visiting www.1060research.com
 *
 * NO WARRANTY:  THIS SOFTWARE IS NOT COVERED BY ANY WARRANTY. SEE 1060 PUBLIC
 * LICENSE V1.0 FOR DETAILS
 *
 * THIS COPYRIGHT NOTICE IS *NOT* THE 1060 PUBLIC LICENSE v1.0. PLEASE READ
 * THE DISTRIBUTED 1060_Public_License.txt OR www.1060research.com/license
 *
 * File:          $RCSfile: NetKernelRequestJob.java,v $
 * Version:       $Name:  $ $Revision: 1.7 $
 * Last Modified: $Date: 2007/09/30 16:33:40 $
 *****************************************************************************/
package org.netkernel.mod.cron.transport;
import org.netkernel.layer0.util.RequestBuilder;
import org.quartz.*;
/**
 *
 * @author  Tony Butterfield
 */
public class NetKernelRequestJob implements Job
{
	public static final String KEY_NK_PREFIX="nk_";
	//public static final String KEY_RESOURCE=KEY_NK_PREFIX+"res";
	public static final String KEY_REQUEST=KEY_NK_PREFIX+"req";
	public static final String KEY_REQUEST_DEF=KEY_REQUEST+"Def";
	public static final String KEY_DESCRIPTION=KEY_NK_PREFIX+"desc";
	public static final String KEY_SPACE=KEY_NK_PREFIX+"space";
	public static final String KEY_VERSION=KEY_NK_PREFIX+"ver";
	public static final String KEY_NAME=KEY_NK_PREFIX+"name";
	public static final String KEY_PAUSED=KEY_NK_PREFIX+"paused";
	public static final String KEY_ISSUE_MISFIRE_ON_RESTART=KEY_NK_PREFIX+"issueMisfiresOnRestart";
	public static final String KEY_TYPE=KEY_NK_PREFIX+"type";
	public static final String KEY_TYPE_CRONTAB="crontab";
	public static final String KEY_TYPE_DIRECT="direct";
	public static final String KEY_TYPE_MISFIRE="misfire";
	
	public void execute(JobExecutionContext aJEC) throws JobExecutionException
	{	JobDataMap jdm = aJEC.getJobDetail().getJobDataMap();
		CronTransport transport=CronTransport.getSingleton();
		RequestBuilder reqBuilder = (RequestBuilder)jdm.get(KEY_REQUEST);
		String space=jdm.getString(KEY_SPACE);
		String version=jdm.getString(KEY_VERSION);	
		String name=jdm.getString(KEY_NAME);
		try
		{	transport.handleRequest(name,reqBuilder,space,version);
		}
		catch (Exception e)
		{	JobExecutionException jee=new JobExecutionException(e);
			throw jee;
		}
	}
}